
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux 下的yum命令详解_Linux / iVAN</title>

    <meta name="description" content="linux 下的yum命令详解_Linux yum(全称为 Yellow dog Updater, Modified)是一个在Fedora和RedHat以及SUSE中的Shell前端软件包管理器.基於RPM包管理,能够从指定的服务器自动下载RPM包并且安装,可以自动处理依赖性关系,并且一次安装所有依赖的软体包,无须繁琐地一次次下载.安装.yum提供了查找.安装.删除某一个.一组甚至全部软件包的命令,而且命令简洁而又好记. yum的命令形式一般是如下:yum [options] [command] [package ...] 其中的[opt">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux 下的yum命令详解_Linux</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>yum（全称为 Yellow dog Updater, Modified）是一个在Fedora和RedHat以及SUSE中的Shell前端软件包管理器。基於RPM包管理，能够从指定的服务器自动下载RPM包并且安装，可以自动处理依赖性关系，并且一次安装所有依赖的软体包，无须繁琐地一次次下载、安装。yum提供了查找、安装、删除某一个、一组甚至全部软件包的命令，而且命令简洁而又好记。</p>
<p>yum的命令形式一般是如下：<code>yum [options] [command] [package ...]</code></p>
<p>其中的[options]是可选的，选项包括-h（帮助），-y（当安装过程提示选择全部为"yes"），-q（不显示安装的过程）等等。[command]为所要进行的操作，[package ...]是操作的对象。</p>
<p><strong>概括了部分常用的命令包括：</strong></p>
<p>自动搜索最快镜像插件： yum install yum-fastestmirror</p>
<p>安装yum图形窗口插件： yum install yumex</p>
<p>查看可能批量安装的列表： yum grouplist</p>
<p><strong>1 安装</strong></p>
<p>yum install 全部安装<br />
yum install package1 安装指定的安装包package1<br />
yum groupinsall group1 安装程序组group1</p>
<p><strong>2 更新和升级</strong></p>
<p>yum update 全部更新<br />
yum update package1 更新指定程序包package1<br />
yum check-update 检查可更新的程序<br />
yum upgrade package1 升级指定程序包package1<br />
yum groupupdate group1 升级程序组group1</p>
<p><strong>3 查找和显示</strong></p>
<p>yum info package1 显示安装包信息package1<br />
yum list 显示所有已经安装和可以安装的程序包<br />
yum list package1 显示指定程序包安装情况package1<br />
yum groupinfo group1 显示程序组group1信息yum search string 根据关键字string查找安装包</p>
<p><strong>4 删除程序</strong></p>
<p>yum remove | erase package1 删除程序包package1<br />
yum groupremove group1 删除程序组group1<br />
yum deplist package1 查看程序package1依赖情况</p>
<p><strong>5 清除缓存</strong></p>
<p>yum clean packages 清除缓存目录下的软件包<br />
yum clean headers 清除缓存目录下的 headers<br />
yum clean oldheaders 清除缓存目录下旧的 headers<br />
yum clean, yum clean all (= yum clean packages; yum clean oldheaders) 清除缓存目录下的软件包及旧的headers</p>
<p>比如，要安装游戏程序组，首先进行查找：</p>
<p>＃：yum grouplist</p>
<p>可以发现，可安装的游戏程序包名字是”Games and Entertainment“，这样就可以进行安装：</p>
<p>＃：yum groupinstall "Games and Entertainment"</p>
<p>所 有的游戏程序包就自动安装了。在这里Games and Entertainment的名字必须用双引号选定，因为linux下面遇到空格会认为文件名结束了，因此必须告诉系统安装的程序包的名字是“Games and Entertainment”而不是“Games"。</p>
<p>此外，还可以修改配置文件/etc/yum.conf选择安装源。可见yum进行配置程序有多方便了吧。更多详细的选项和命令，当然只要在命令提示行下面:man yum</p>
<pre>
yum groupinstall "KDE (K Desktop Environment)"
yum install pirut k3b mikmod
yum groupinstall "Server Configuration Tools"
yum groupinstall "Sound and Video"
#yum groupinstall "GNOME Desktop Environment"
yum groupinstall "Legacy Software Support"
yum groupinstall "Development Libraries"
yum groupinstall "Development Tools"
#yum groupinstall "Windows File Server"
yum groupinstall "System Tools"
yum groupinstall "X Window System"
yum install php-gd
yum install gd-devel
yum groupinstall "Chinese Support"
#yum install samba-common //该执行会一起安装 samba-client
#yum install samba
yum install gcc
yum install cpp
yum install gcc-c++
yum install ncurses
yum install ncurses-devel
yum install gd-devel php-gd
yum install gd-devel
yum install gcc
yum install cpp
yum install gcc-c++
yum install ncurses
yum install ncurses-devel
yum install gd-devel php-gd
yum install gd-devel
yum install zlib-devel
yum install freetype-devel freetype-demos freetype-utils
yum install libpng-devel libpng10 libpng10-devel
yum install libjpeg-devel
yum install ImageMagick
yum install php-gd
yum install flex
yum install ImageMagick-devel
#yum install system-config-bind
#yum groupinstall "DNS Name Server" //安裝 bind 及 bind-chroot 套件
yum groupinstall "MySQL Database"'
yum clean all</pre>
<p>-----------------------------------------------------------------------------------------------------------</p>
<p>装了个fedora linux不能用中文输入是一件很棘手的事，连搜解决方案都没法搜。只能勉强用几个拼音碰碰运气，看Google能不能识别了。而我就遇见了这样的事。</p>
<p><strong>解决方案：</strong></p>
<p>yum install scim* -y</p>
<p><strong>yum 命令详解：</strong></p>
<p>Redhat和Fedora的软件安装命令是rpm，但是用rpm安装软件最大的麻烦就是需要手动寻找安装该软件所需要的一系列依赖关系，超级 麻烦不说，要是软件不用了需要卸载的话由于卸载掉了某个依赖关系而导致其他的软件不能用是非常恼人的。令人高兴的是，Fedora终于推出了类似于 ubuntu中的apt的命令yum，令Fedora的软件安装变得简单容易。</p>
<p><strong>Yum 有以下特点：</strong></p>
<p>*可以同时配置多个资源库(Repository)<br />
*简洁的配置文件(/etc/yum.conf)<br />
*自动解决增加或删除rpm包时遇到的倚赖性问题<br />
*使用方便<br />
*保持与RPM数据库的一致性</p>
<p>yum，是Yellow dog Updater Modified的简称，起初是由yellow dog这一发行版的开发者Terra Soft研发，用python写成，那时还叫做yup(yellow dog updater)，后经杜克大学的Linux@Duke开发团队进行改进，遂有此名。yum的宗旨是自动化地升级，安装/移除rpm包，收集rpm包的相关信息，检查依赖性并自动提示用户解决。yum的关键之处是要有可靠的repository，顾名思义，这是软件的仓库，它可以是http或ftp站点， 也可以是本地软件池，但必须包含rpm的header， header包括了rpm包的各种信息，包括描述，功能，提供的文件，依赖性等.正是收集了这些 header并加以分析，才能自动化地完成余下的任务。</p>
<p><strong>1.yum的一切配置信息都储存在一个叫yum.conf的配置文件中，通常位于/etc目 录下，这是整个yum系统的重中之重，我在的F9中查看了这一文件，大家一起来看下：</strong></p>
<pre>
[hanlong@localhost F9常用文档]$ sudo more /etc/yum.conf
[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
metadata_expire=1800
# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d</pre>
<p>下面简单的对这一文件作简要的说明：</p>
<p>cachedir：yum缓存的目录，yum在此存储下载的rpm包和数据库，一般是/var/cache/yum。</p>
<p>debuglevel：除错级别，0──10,默认是2</p>
<p>logfile：yum的日志文件，默认是/var/log/yum.log。</p>
<p>exactarch，有两个选项1和0,代表是否只升级和你安装软件包cpu体系一致的包，如果设为1，则如你安装了一个i386的rpm，则yum不会用686的包来升级。</p>
<p>gpgchkeck= 有1和0两个选择，分别代表是否是否进行gpg校验，如果没有这一项，默认好像也是检查的。</p>
<p><strong>2.好了，接下来就是yum的使用了，首先用yum来升级软件，yum的操作大都须有超级用户的权限，当然可以用sudo。</strong></p>
<p>yum update，这一步是必须的，yum会从服务器的header目录下载rpm的header，放在本地的缓存中，这可能会花费一定的时间，但比起yum 给我们带来方便，这些时间的花费又算的了什么呢？header下载完毕，yum会判断是否有可更新的软件包，如果有，它会询问你的意见，是否更新，还是说 y吧，把系统始终up to date总是不错的，这时yum开始下载软件包并使用调用rpm安装，这可能要一定时间，取决于要更新软件的数目和网络状况，万一网络断了，也没关系，再 进行一次就可以了。升级完毕，以后每天只要使用yum check-update检查一下有无跟新，如果有，就用yum update进行跟新，时刻保持系统为最新，堵住一切发现的漏洞。用yum update packagename 对某个单独包进行升级。</p>
<p><strong>现在简单的把yum软件升级的一些命令罗列一下：</strong></p>
<p>(更新：我在安装wine的时候是用rpm一个一个安装的，先安装以来关系，然后在安装wine的主包，但是刚刚在论坛上发现来一个好的帖子，就yum的本地安装。参数是-localinstall</p>
<pre>
$yum localinstall wine-*</pre>
<p>这样的话，yum会自动安装所有的依赖关系，而不用rpm一个一个的安装了，省了好多工作。</p>
<p>还有一个与他类似的参数：</p>
<pre>
$yum localupdate wine-*</pre>
<p>如果有wine的新版本，而且你也下载到来本地，就可以这样本地更新wine了。)</p>
<p><strong>1.列出所有可更新的软件清单</strong></p>
<p>命令：yum check-update</p>
<p><strong>2.安装所有更新软件</strong></p>
<p>命令：yum update</p>
<p><strong>3.仅安装指定的软件</strong></p>
<p>命令：yum install</p>
<p><strong>4.仅更新指定的软件</strong></p>
<p>命令：yum update</p>
<p><strong>5.列出所有可安裝的软件清单</strong></p>
<p>命令：yum list</p>
<p><strong>3.使用yum安装和卸载软件，有个前提是yum安装的软件包都是rpm格式的。</strong></p>
<p>安装的命令是，yum install xxx，yum会查询数据库，有无这一软件包，如果有，则检查其依赖冲突关系，如果没有依赖冲突，那么最好，下载安装;如果有，则会给出提示，询问是否要同时安装依赖，或删除冲突的包，你可以自己作出判断</p>
<p>删除的命令是，yum remove xxx，同安装一样，yum也会查询数据库，给出解决依赖关系的提示。</p>
<p><strong>1.用YUM安装软件包</strong></p>
<p>命令：yum install</p>
<p><strong>2.用YUM删除软件包</strong></p>
<p>命令：yum remove</p>
<p><strong>4.用yum查询想安装的软件</strong></p>
<p>我们常会碰到这样的情况，想要安装一个软件，只知道它和某方面有关，但又不能确切知道它的名字。这时yum的查询功能就起作用了。你可以用 yum search keyword这样的命令来进行搜索，比如我们要则安装一个Instant Messenger，但又不知到底有哪些，这时不妨用 yum search messenger这样的指令进行搜索，yum会搜索所有可用rpm的描述，列出所有描述中和messeger有关的rpm包，于是我们可能得到 gaim，kopete等等，并从中选择。</p>
<p>有时我们还会碰到安装了一个包，但又不知道其用途，我们可以用yum info packagename这个指令来获取信息。</p>
<p><strong>1.使用YUM查找软件包</strong></p>
<p>命令：yum search</p>
<p><strong>2.列出所有可安装的软件包</strong></p>
<p>命令：yum list</p>
<p><strong>3.列出所有可更新的软件包</strong></p>
<p>命令：yum list updates</p>
<p><strong>4.列出所有已安装的软件包</strong></p>
<p>命令：yum list installed</p>
<p><strong>5.列出所有已安装但不在 Yum Repository 內的软件包</strong></p>
<p>命令：yum list extras</p>
<p><strong>6.列出所指定的软件包</strong></p>
<p>命令：yum list</p>
<p> <strong>7.使用YUM获取软件包信息</strong></p>
<p>命令：yum info</p>
<p> <strong>8.列出所有软件包的信息</strong></p>
<p>命令：yum info</p>
<p><strong>9.列出所有可更新的软件包信息</strong></p>
<p>命令：yum info updates</p>
<p><strong>10.列出所有已安裝的软件包信息</strong></p>
<p>命令：yum info installed</p>
<p><strong>11.列出所有已安裝但不在 Yum Repository 內的软件包信息</strong></p>
<p>命令：yum info extras</p>
<p><strong>12.列出软件包提供哪些文件</strong></p>
<p>命令：yum provides</p>
<p><strong>5.清除YUM缓存</strong></p>
<p>yum 会把下载的软件包和header存储在cache中，而不会自动删除。如果我们觉得它们占用了磁盘空间，可以使用yum clean指令进行清除，更精确的用法是yum clean headers清除header，yum clean packages清除下载的rpm包，yum clean all 清除所有</p>
<p><strong>1.清除缓存目录(/var/cache/yum)下的软件包</strong></p>
<p>命令：yum clean packages</p>
<p><strong>2.清除缓存目录(/var/cache/yum)下的 headers</strong></p>
<p>命令：yum clean headers</p>
<p><strong>3.清除缓存目录(/var/cache/yum)下旧的 headers</strong></p>
<p>命令：yum clean oldheaders</p>
<p><strong>4.清除缓存目录(/var/cache/yum)下的软件包及旧的headers</strong></p>
<p>命令：yum clean, yum clean all (= yum clean packages; yum clean oldheaders)</p>
<p><strong>以上所有命令参数的使用都可以用man来查看：</strong></p>
<p><strong>1、安装图形版yumex：yum install yumex。</strong></p>
<p><strong>2、安装额外的软件仓库：</strong></p>
<p>rpm.livna.org 的软件包仓库:</p>
<pre>
rpm -ivh http://livna-dl.reloumirrors.net … ease-7-2.noarch.rpm</pre>
<p>freshrpms.net 的软件包仓库:</p>
<pre>
rpm –ivh http://ftp.freshrpms.net/pub/fre … 1.1-1.fc.noarch.rpm</pre>
<p><strong>3、安装最快源 yum install yum-fastestmirror</strong></p>
<p>资源真的是非常丰富，从Centos到Ubuntu，ISO镜像、升级包，应有尽有，上交的兄弟们真是幸福，羡慕啊。不过还好，我们好歹也算是在教育网内，凑合着也可以沾点光，下载一些。</p>
<p>网址为：ftp://ftp.sjtu.edu.cn/</p>
<p>相应的yum的repo为</p>
<pre>
[updates]
name=Fedora updates
baseurl=ftp://ftp.sjtu.edu.cn/fedora/linux/updates/$releasever/$basearch/
enabled=1
gpgcheck=0
[fedora]
name=Fedora $releasever - $basearch
baseurl=ftp://ftp.sjtu.edu.cn/fedora/linux/releases/$releasever/Everything/$basearch/os/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY</pre>
<p>如果在机器上安装了apt管理器，则相应的源为</p>
<pre>
repomd ftp://ftp.sjtu.edu.cn/ fedora/linux/updates/$(VERSION)/$(ARCH)/
repomd ftp://ftp.sjtu.edu.cn/ fedora/linux/releases/$(VERSION)/Everything/$(ARCH)/os/</pre>
<p>这与前面yum的源的格式上有一些差别，需要加以注意。</p>
<p><strong>下面介绍一下fedora 下安装 scim</strong></p>
<p><strong>1． 什么输入法适合我？</strong></p>
<p>fcitx和scim是目前比较好的输入法， 但是他们的特点不同，fcitx只能输入中文，而scim可以根据需要，利用不同的码表达到中英日…等等各种语言的输入问题。如果你只懂中文，或者只会输 入英文&amp;中文，那么fcitx是一个不错的选择，因为它漂亮，小巧，实用。如果你还需要输入日文或者其他语言，那么你因该安装scim。通 过合理的配置，他能够让你像在windows里面一样，想输入什么语言就能输入什么语言，同一种语言想用什么输入法就用什么输入法。Scim的扩充性很 强，而且比较稳定，我就是选择的是scim.</p>
<p><strong>2． 安装一个新输入法前需要哪些准备？</strong></p>
<p>如果你选择fcitx或者scim，那么我建议你删除系统自带的中文输入法。方法如下：</p>
<pre>
rpm –qa | grep iiimf | xargs rpm –e
rpm –qa | grep Chinput| xargs rpm –e</pre>
<p>如果有哪一行提示rpm: no packages given for erase那表示本身你的系统里面没有该输入法，不用担心，继续往下看就行了。</p>
<p>说 明：rpm –qa是列出所有安装的rpm包，grep iiimf是选择出其中名字含有iiimf的那些包，xargs rpm –e的意思是把前面列出的这些包删除掉。Xargs的作用就是把前面通过 | 传过来的数据作为下面命令的参数。这就好比一个过滤器，首先是放着所有的安装包，然后grep以后，只留下了含有某些特定关键字的rpm包，然后通过 xargs和rpm –e的组合运用，把剩下的这些含有某特定关键字的包删掉。这样就达到了删除该输入法及相关包的目的。下面的Chinput也是如此，在此不再重复。如果你还安装了其他输入法，比如你原来装的是fcitx，现在想装scim，那么你最好模仿上面的样子把fcitx删除，方法就是把iiimf的位置改成 fcitx就可以了。</p>
<p>在安装新输入法之前，最好这样做一下，因为多种输入法同时存在一个系统中没有什么好处，你只可能去用一个，而且他们同时存在可能有的时候会出现问题，想想也知道，会互相竞争嘛。所以在此以后，你应该保证系统里面已经没有中文输入法了。通过类似以下方式验证：</p>
<pre>
whereis fcitx
whereis scim
whereis miniChinput
…</pre>
<p><strong>3． 输入法是何时被系统调用的？</strong></p>
<p>很多人不知道输入法到底什么时候被load进来，不知道这个当然就不知道为什么有的时候呼不出输入法（因为可能根本没有调入）当然也不会知道如何配置能够符合自己的要求。</p>
<p>大 家都知道，linux下面比较常用的有两个桌面系统，gnome和kde，这都无所谓，他们其实都是架在X系统之上的。简单的说X系统就是一个最核心，也 是最底层的桌面系统，gnome也好，kde也罢，或者其他的什么fvwm之类的，都只不过是X系统和用户之间的另一层软件而已。所以要想达到不管使用什 么桌面系统，都能调入输入法，就是要在X系统启动的时候，让输入法也启动起来，那么这样之后，无论你使用的是gnome还是kde或者其他什么桌面，都能 够调入输入法。因为当轮到他们启动的时候，X系统已经启动好了，输入法已经被系统调入了。那么X系统又是如何启动的呢？让我们从startx开始说起。<br />
无论你用什么桌面系统，都是通过startx启动的，那么startx究竟是什么呢？一个应用程序还是一个脚本文件？为什么它能够启动各种桌面系统，并且能够按照相应的配置文件来设置呢？带着疑问，我在console里面输入whereis startx.</p>
<p>在 找到了存放startx的路径以后，用编辑器打开它发现原来是一个脚本文件。这个脚本文件的内容可能根据发行版不同，会有差异，如果你懂一些shell的 语言，那么你可以尝试看看，不一定要全部看懂，但是你大致看过以后会发现最后有一个xinit的命令，然后跟着一些参数。我尝试在console下面输入 xinit(注意，不要在图形界面下做此操作)</p>
<p>发现图形界面启动拉，但是很丑陋，什么功能都没有，鼠标可以动，还有一个可以输入命令的小窗口。怎 么退出来？ctrl+alt+backspace. 原来如此，startx只是一个脚本，里面通过对一系列配置文件的分析设置，最终利用xinit命令启动图形界面。不管是kde还是gnome，都是在这 个脚本中完成的。那么让我们再打开startx脚本看看里面还做了些什么。你仔细看看，会发现有一个东西很显眼，就是/etc/X11/xinit /xinitrc，这个xinitrc好像很眼熟，在配置输入法的其他贴中总是看到，这里出现了肯定是里面运行了这个脚本。再看其他的一些东西，其实都是利用shell配置出一个xinit启动的参数，用来配置桌面系统用的，不用管它。目前已知的就是startx的时候它会去执行一个/etc/X11 /xinit/xinitrc的脚本，让我们打开来看看里面有什么。<br />
打开一看，其中一段我觉得最有价值，是一个for循环，他依次执行了/etc /X11/xinit/xinitrc.d/下面的所有脚本。你可以耐心的找一下，一定可以发现。那么这个目录里面有些什么内容呢？有一个文件看名字就知道和输入相关，他叫xinput。等等，让我们理一下，是怎么从startx到xinput的。</p>
<p>首先是执行startx这个脚本文件，里面他会执行xinitrc这个脚本，然后xinitrc脚本里面的，叫xinput。OK, 我们继续，打开xinput看看。</p>
<p><strong>4.安装软件包</strong></p>
<pre>
rpm -Uvh scim-0.8.2-1.i586.rpm
rpm -Uvh scim-chinese-0.2.6-1.i586.rpm</pre>
<p><strong>5.修改配置文件</strong></p>
<p>接下来重要的一步就是，修改一下</p>
<p>/etc /X11/xinit/xinitrc.d/xinput文件，让SCIM在X启动的时候也启动。我看到网上很多文章也说过，但总是不得要领，经过自己试 验，最简单的就是把xinput文件里的Chinput全部替换为SCIM，chinput替换为scim，保存重启X就可以了。</p>
<pre>
zh_CN*)
if [ -e /usr/bin/scim ]; then
XIM="SCIM"
elif [ -e /usr/X11R6/bin/xcin ] ; then
export LC_CTYPE=zh_CN.GB2312
XIM="xcin-zh_CN.GB2312"
fi
;;
..............................
SCIM)
XIM_PROGRAM=scim
XIM_ARGS="-d"
;;</pre>
<p>然后修改/etc/gtk-2.0/gtk.immodules，找到这一行:</p>
<pre>
"xim" "X Input Method" "gtk20" "/usr/share/locale" "ko:ja:zh"</pre>
<p>改为：</p>
<pre>
"xim" "X Input Method" "gtk20" "/usr/share/locale" "en:ko:ja:zh"</pre>
<p>可能表示输入英文时也使用该输入法</p>
<p>安装完毕后运行scim-setup,将输入法的切换键改为ctrl+space</p>
<p>以上所述是小编给大家介绍的linux 下的yum命令详解，希望对大家有所帮助，如果大家有任何疑问请给我留言，小编会及时回复大家的。在此也非常感谢大家对网站的支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索linux<br />
                    ，                yum<br />
                                    命令<br />
                                    linux yum命令详解、linux 下yum 命令详解、yum命令详解、yum原理和命令详解、linux yum 详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 16:39:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/yum/" title="yum">yum</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux 下的yum命令详解_Linux的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My291vp.html" rel="bookmark">Linux下的chkconfig命令详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				chkconfig命令 Linux下的chkconfig命令主要用来更新(启动或停止)和查询系统服务的运行级信息.谨记chkconfig不是立即自动禁止或激活一个服务,它只是简单的改变了符号连接. 使用语法 chkconfig [–add][–del][–list][系统服务] 或 chkconfig [–level &lt;等级代号&gt;][系统服务][on/off/reset] chkconfig在没有参数运行时,显示用法.如果加上服务名,那么就检查这个服务是否在当前运行级启动.如果是,返回true			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP9krp.html" rel="bookmark">Linux系统命令中screen命令详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 对于执行长时间命令(如大文件运输)而言,为了不让它终止,都会开启一个远程登陆会话窗口来单独运行这样的命令.在此期间,不能关闭远程登录会话窗口或者断开连接,否则前功尽弃.这时候screen命令就派上用场了. Screen是一款由GNU计划开发的用于命令行终端切换的自由软件.用户可以通过该软件同时连接多个本地或远程的命令行会话,并在其间自由切换.GNU Screen可以看作是窗口管理器的命令行界面版本.它提供了统一的管理多个会话的界面和相应的功能. 下面来介绍下我最常用的screen命令(仅限			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba06eQz.html" rel="bookmark">Linux中的curl命令详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				语法 # curl [option] [url] 常见参数: -A/--user-agent &lt;string&gt; 设置用户代理发送给服务器 -b/--cookie &lt;name=string/file&gt; cookie字符串或文件读取位置 -c/--cookie-jar &lt;file&gt; 操作结束后把cookie写入到这个文件中 -C/--continue-at &lt;offset&gt; 断点续转 -D/--dump-header &lt;file&gt; 把header信息			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5o4yDb.html" rel="bookmark">Linux 中 CURL常用命令详解&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下载单个文件,默认将输出打印到标准输出中(STDOUT)中 curl http://www.centos.org 通过-o/-O选项保存下载的文件到指定的文件中: -o:将文件保存为命令行中指定的文件名的文件中 -O:使用URL中默认的文件名保存文件到本地 # 将文件下载到本地并命名为mygettext.html curl -o mygettext.html http://www.gnu.org/software/gettext/manual/gettext.html # 将文件保存到本地并命名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDjyEvM.html" rel="bookmark">Linux 中 RPM包 安装 查询 卸载命令小结及yum命令详解&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前一直在用ubuntu,安装卸载软件基本上是使用apt-get 这个非常的简单,而且过程中遇到的软件依赖会自动帮我们处理,类似于傻瓜式安装.另外在 Linux 操作系统下,几乎所有的软件都可以通过RPM 进行安装.卸载及管理等操作.RPM 的全称为Redhat Package Manager ,是由Redhat 公司提出的,用于管理Linux 下软件包的软件.Linux 安装时,除了几个核心模块以外,其余几乎所有的模块均通过RPM 完成安装.RPM 有五种操作模式,分别为:安装.卸载.升级.查			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwy4J5M.html" rel="bookmark">浅析linux环境变量export命令详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由host $ export DVSDK=&quot;${HOME}/ti-dvsdk_dm368-evm_xx_xx_xx_xx&quot;引发的问题 1.${HOME}:首先, HOME 是个变量,它代表你的 home 目录,变量前必须加上 $ 符号,否则会报错 usr/local/dvsdk为dvsdk的destination folder 由#echo $DVSDK测试环境变量添加成功否 2.想要使得开机时自动加载这个环境变量免除以后每次设置,可将其写入/etc/re.local  Linux e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJw8Xwb.html" rel="bookmark">LINUX重启MYSQL的命令详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何启动/停止/重启MySQL 一.启动方式 1.使用 service 启动:service mysqld start 2.使用 mysqld 脚本启动:/etc/inint.d/mysqld start 3.使用 safe_mysqld 启动:safe_mysqld&amp; 二.停止 1.使用 service 启动:service mysqld stop 2.使用 mysqld 脚本启动:/etc/inint.d/mysqld stop 3. mysqladmin shutdown 三.重启 1.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBYn7oz.html" rel="bookmark">linux下释放内存命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				VPS中搭建的WEB服务器,运行的时间长了,内存的使用就占用越来越高,对于小内存的VPS可能就直接使用了SWAP分区,从而影响到了系统应用程序的性能.下面是一个非常简单的清理linux内存的脚本,只要放入crontab计划任务里面定时执行就可以定期清理你的Linux服务器内存了.  代码如下 复制代码 #!/bin/bash #Data is written to the disk cache sync #Clean Page Cache echo 1 &gt; /proc/sys/vm/drop_c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQWEWz.html" rel="bookmark">linux下的yum命令原理和详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				yum(全称为 Yellow dog Updater, Modified)是一个在Fedora和RedHat以及SUSE中的Shell前端软件包管理器.基於RPM包管理,能够从指定的服务器自动下载RPM包并且安装,可以自动处理依赖性关系,并且一次安装所有依赖的软体包,无须繁琐地一次次下载.安装.yum提供了查找.安装.删除某一个.一组甚至全部软件包的命令,而且命令简洁而又好记. yum的命令形式一般是如下:yum [options] [command] [package ...] 其中的[opt			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvqa6b.html" rel="bookmark" class="title">ORACLE安装经验借鉴</a>
					<div>
						学校实验室机房安装的Oracle有问题, TNSListener 服务无法启动(启动以后自动关闭).而且SPL PLus还可以正常的使用. 从百度里搜到一篇类似的问题,据说是由于改过机器名称造成, 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP2a8b.html" rel="bookmark" class="title">ASP 3&period;0高级编程（二十二）</a>
					<div>
						编程|高级 5.5.1 创建TextStream对象的方法有三个常用方法用于创建或打开一个文本文件并返回TextStram对象,如表5-13所示:表5-13 创建TextStream对象的方法及说明方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnXPlz.html" rel="bookmark" class="title">boost库解析正则表达式</a>
					<div>
						按下面的代码敲就行了: cmd vcvars32.bat cd D:\boost_1_32_0\libs\regex\build d: nmake -fvc6.mak nmake -fvc6.mak  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PmwmM.html" rel="bookmark" class="title">JBuilder&plus;WebLogic实现教材管理系统</a>
					<div>
						摘 要 这篇文章研究了在校园网环境下合理利用原有异构数据库建立相关的部门管理系统的方法,介绍了基于WebLogic应用服务器进行教材综合管理系统的设计和实现的过程. 关键词 数据库:J2EE: EJB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7vG8M.html" rel="bookmark" class="title">远程连接sql server服务器的方法</a>
					<div>
						如果需要远程连接sql server 服务器,应该用什么方法呢?下面就将教您远程连接sql server服务器的解决方案,供您参考. 一 看ping 服务器IP能否ping通. 这个实际上是看和远程s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6o0Ez.html" rel="bookmark" class="title">压缩aspx页面删除多余空格的两种方法</a>
					<div>
						 这篇文章主要介绍了压缩aspx页面移除多余空格的两种方法,可以在发布页面之前压缩aspx,无须浪费web server的cpu,需要的朋友可以参考下 两种方法实现:  1)一行一行的读取aspx文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaaXqM.html" rel="bookmark" class="title">仿淘宝天猫商品分类导航Jquery插件</a>
					<div>
						此 Jquery插件又是一款给力.实用的商品 分类导航,兼容IE6, IE7 IE8及以上 Firefox,Chrome等主流浏览器,是电子商务网站不可缺少的神兵利器之一. 使用非常简单,步骤如下:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr32vWp.html" rel="bookmark" class="title">Win8系统硬盘进行碎片整理教程</a>
					<div>
						Win8对硬盘进行碎片整理的方法如下: 1.右键点击任何一个的盘符,选择属性. 2.选择工具,点击优化. 3.点击需要整理的盘符-选择分析. 4.碎片整理完成.         注:更多精彩教程请关注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oqNBb.html" rel="bookmark" class="title">win7电脑中的天气小工具无法使用怎么办？</a>
					<div>
						  其实这个功能是win7系统中自带的,但是咱们平常默认的都是将这个功能关闭掉的,通过设置可以将其打开,这便是桌面小工具了.工具中包含的内容很多,比如说时钟.天气.日历等等,经常关注天气的朋友其实可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8my8p.html" rel="bookmark" class="title">网易云音乐怎么上传</a>
					<div>
						  1.首先下载网易云音乐客户端并安装软件,安装完毕后会有个默认勾选开机自启的选项这个会影响开机速度给勾掉. 2.选择一个账号登陆网易云音乐,因为网易云音乐是一款具有社交功能的音乐播放客户端所以是必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1ABWb.html" rel="bookmark" class="title">VGA、DVI、HDMI哪个好？三种视频信号接口有什么区别？</a>
					<div>
						  家里的高清电视越来越普遍,而这些高清电视大多带了VGA.DVI.HDMI的接口.笔记本电脑的屏幕太小,办公的人大多想要外接一个显示器.所以明白这三种视频信号接口的区别,是选购合适显示器的前提. 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwm4wp.html" rel="bookmark" class="title">元器件：像大蒜般疯狂</a>
					<div>
						□本报记者 高改芳 游资炒作的对象已从农产品扩大到电子产品. &quot;avx 10u16v钽电容4月的价格是每个0.26元,现在是每个0.6元.几乎全部的钽电容都在涨,有些成倍涨.而这类元器件对电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVQQOb.html" rel="bookmark" class="title">受众引擎亮相百度世界 联盟产品进入3&period;0时代</a>
					<div>
						 9月3日,2012百度世界大会在中国大饭店盛大召开.在营销分论坛上,百度以&quot;大数据新营销&quot;为主题,推出了一系列极具创新性的产品与技术.其中,百度联盟全新的核心技术引擎&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lJPab.html" rel="bookmark" class="title">Android进阶：实现多线程下载文件</a>
					<div>
						 多线程下载大概思路就是通过Range 属性实现文件分段,然后用RandomAccessFile 来读写文件,最终合并为一个文件   首先看下效果图     创建工程 ThreadDemo   首先布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwYJjp.html" rel="bookmark" class="title">ios-iphone中使用弹出动画</a>
					<div>
						问题描述 iphone中使用弹出动画 使用了下面的代码: FirstView * fir=[[FirstView alloc]init]; [self.navigationController pus ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0lK4M.html" rel="bookmark" class="title">概念，依旧是概念&hellip;&hellip;csproj文件是做什么用的？</a>
					<div>
						不管是不是有人会说老赵是&quot;学术派&quot;,&quot;学术派&quot;是不是适合&quot;做项目&quot;,我还是要强调事物的&quot;概念&quot;和描述一个问题的严谨性.我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA0xJp.html" rel="bookmark" class="title">如何用C&num;阻止外部程序创建窗口句柄</a>
					<div>
						问题描述 如何用C#阻止外部程序创建窗口句柄我用c#调用API的去隐藏指定窗口,但隐藏后改程序的窗口会自动创建.如何阻止它创建窗口?谢谢! 解决方案 解决方案二:sf,消灭0回复					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB9NPM.html" rel="bookmark" class="title">数据结构-表达式求值，为什么只能求类似于3&ast;（5-2）的一位数表达式？求大神指点</a>
					<div>
						问题描述 数据结构-表达式求值,为什么只能求类似于3*(5-2)的一位数表达式?求大神指点 #include #include #define STACK_INIT_SIZE 100 #define  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRGXOp.html" rel="bookmark" class="title">未来五年 大数据将进一步体现价值</a>
					<div>
						大数据可以来自方方面面,从生活中的购物交易,到工业上的生产制造;从社交网络媒体信息,到在线视频图像资料;从企业的信息管理系统,到政府部门的电子政务,都有着大量的数据产生. 在过去的三年里产生的数据量比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmvY1z.html" rel="bookmark" class="title">JSP彩色验证码&lowbar;JSP编程</a>
					<div>
						    生成有4个随机数字和杂乱背景的图片,数字和背景颜色会改变,服务器端刷新(用history.go(-1)也会变)原型参考ALIBABA  http://china.alibaba.com/mem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNyZBp.html" rel="bookmark" class="title">苹果昆山两疑似供应商排毒调查：村民批量患癌</a>
					<div>
						每经记者 陈时俊 陈都 蒋佩芳 发自昆山 一份来自环保组织的报告,质疑苹果公司在华多家疑似代工企业严重污染居民生活环境.位于昆山新城的凯达电子与鼎鑫电子被指排放污水和废气,造成邻村居民批量患上癌症.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmql4z.html" rel="bookmark" class="title">lotus script 代码 如何转向另一视图  （初学 谢谢！）</a>
					<div>
						问题描述 怎样用lotusscript代码转向另一视图不胜感激涕零谢谢! 解决方案 解决方案二:CallnotesUIDatabase.OpenView(viewName$[,key$][,newin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Vnjb.html" rel="bookmark" class="title">安卓&OpenCurlyDoubleQuote;The constructor AlertDialog&period;Builder&lpar;Object&rpar; is undefined&rdquo;？</a>
					<div>
						问题描述 packagecom.demo.android.bmi;importjava.text.DecimalFormat;importandroid.app.Activity;importandr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6GlmM.html" rel="bookmark" class="title">MVC 如何在弹出对话框点确定然后进入action</a>
					<div>
						问题描述 求助求助我只知道先写个function然后在这个function中如何写才能调用后台的controller困扰我好多天了谢谢各位大神求助啊 解决方案 解决方案二:if(confirm(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm0Gmb.html" rel="bookmark" class="title">jq垂直下拉菜单</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW9K8p.html" rel="bookmark" class="title">Firefox未来3年仍将谷歌作为默认搜索引擎</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 北京时间12月20日晚间消息,Mozilla周二宣布,已与谷歌续约三年,谷歌搜索仍将是火狐浏览器的默认搜索引擎. Mozilla并未透露详细的合作条款, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWn4wp.html" rel="bookmark" class="title">复旦专家质疑欧姆龙血压计测量不准</a>
					<div>
						早报记者 韩晓蓉 实习生 李路 赵越 复旦(微博)大学医院管理研究所副所长章滨云在微博上发帖征集电子血压计不准的实用案例,引发热议.章滨云要求企业应该建立主动召回制度,当事企业欧姆龙昨天发布了一则&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmykWb.html" rel="bookmark" class="title">对于Windows Azure的托管服务的理解</a>
					<div>
						首先对于Windows Azure的托管的服务被设计以及开发的应用程序由这两部分组成: 1,托管的代码 2,XM的L配置文件 托管代码对应角色不同 XML文件对应的配置设置不同 我们详细说明了在Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boO6o6b.html" rel="bookmark" class="title">新网建站&OpenCurlyDoubleQuote;精武门&rdquo;大赛即将开战</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 [2008年5月9日] 在电子商务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOmNqM.html" rel="bookmark" class="title">爱尔眼科：创业板的光明与灰暗</a>
					<div>
						这28家挂牌创业板的上市公司,以及他们背后的创业者们,恍如刚刚举行完一场盛大的成人礼. 如果没有创业板,这是一些长了胡子也不见得能成为上市公司的企业,这还将是一群在夜里苦苦摸索的苦哈哈的创业者. 这个 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.047 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
